/****************************************************************************
 * tx.stdio
 *
 *   stdout, stderr : OutputTextream
 *
 *   stdin : InputTextream
 *
 *   global
 *     print
 *     println
 *     char[] readLine()
 *
 ****************************************************************************/

module tx.stdio;
import tx.textream;
import tx.feature.write_basic;
import tx.feature.write_print;
import std.cstream;

/*Input*/Textream  stdin;
OutputTextream stdout, stderr;

static this()
{
	stdin  = new Textream(din);
	stdout = new OutputTextream(dout);
	stderr = new OutputTextream(derr);
}
